Loading...
Searching...
No Matches
raptor::build_arguments Struct Reference

## Public Member Functions

void | print_timings () const

## Public Attributes

std::filesystem::path | bin_file {}
std::vector< std::vector< std::string > > | bin_path {}
timer< concurrent::yes > | bin_size_timer {}
uint64_t | bins {64}
uint64_t | bits {4096}
bool | compressed {false}
timer< concurrent::yes > | fill_ibf_timer {}
double | fpr {0.05}
uint64_t | hash {2}
timer< concurrent::yes > | index_allocation_timer {}
bool | input_is_minimiser {false}
bool | is_hibf {false}
uint8_t | kmer_size {20u}
timer< concurrent::yes > | merge_kmers_timer {}
std::filesystem::path | out_path {"./"}
uint8_t | parts {1u}
bool | quiet {false}
seqan3::shape | shape {seqan3::ungapped{kmer_size}}
std::string | shape_string {}
timer< concurrent::yes > | store_index_timer {}
uint8_t | threads {1u}
timer< concurrent::yes > | user_bin_io_timer {}
timer< concurrent::yes > | wall_clock_timer {}
uint32_t | window_size {kmer_size}

The documentation for this struct was generated from the following file:

- build_arguments.hpp